regina::NPermItS4 Class Reference
Triangulations

An iterator class that runs through all 24 permutations of four elements. More...

`#include <triangulation/npermit.h>`

## Public Member Functions

| NPermItS4 ()
| Creates a new iterator pointing at the first permutation. More...
void | init ()
| Points this iterator at the first permutation. More...
void | operator++ (int)
| Points this iterator at the next permutation after the one it is currently pointing to. More...
const NPerm4 & | operator* () const
| Returns the permutation at which this iterator is pointing. More...
bool | done () const
| Determines if this iterator is past-the-end (has run through all possible permutations). More...

## Detailed Description

An iterator class that runs through all 24 permutations of four elements.

Deprecated:
  This class will removed in a future release of Regina, since it is completely unnecessary. Just loop directly through the 24 elements of NPerm4::S4.

Python:
  Not present.

## Constructor & Destructor Documentation

regina::NPermItS4::NPermItS4 | ( |  | ) |

inline

Creates a new iterator pointing at the first permutation.

## Member Function Documentation

bool regina::NPermItS4::done | ( |  | ) | const

inline

Determines if this iterator is past-the-end (has run through all possible permutations).

Returns
  `true` if and only if this iterator is past-the-end.

void regina::NPermItS4::init | ( |  | ) |

inline

Points this iterator at the first permutation.

const NPerm4 & regina::NPermItS4::operator* | ( |  | ) | const

inline

Returns the permutation at which this iterator is pointing.

Precondition
  This iterator is not past-the-end.

Returns
  the permutation at which this iterator is pointing.

void regina::NPermItS4::operator++ | ( | int |  | ) |

inline

Points this iterator at the next permutation after the one it is currently pointing to.

Precondition
  This iterator is not past-the-end.

The documentation for this class was generated from the following file:

- triangulation/npermit.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).